%global upstreamversion %{version}-beta-2

Name:                 jboss-parent
Version:              6
Release:              0.1.beta2%{?dist}
Summary:              JBoss Parent POM
Group:                Development/Libraries
License:              LGPLv2+
URL:                  http://www.jboss.org/

# git clone git://github.com/jboss/jboss-parent-pom.git
# cd jboss-parent-pom/
# git archive --format=tar --prefix=jboss-parent-6-beta-2/ 6-beta-2 | gzip > jboss-parent-6-beta-2.tar.gz
Source0:              %{name}-%{upstreamversion}.tar.gz
BuildArch:            noarch

BuildRequires:        jpackage-utils

# Although clover2-plugin is opensource, Clover isn't and cannot be packaged.
# It seems that JBoss projects doesn't depend on this plugin and it will be
# removed in the future

# Requires:             maven-clover2-plugin

# Below is the list of additional requires for this package

# Requires:             findbugs-maven-plugin
# Requires:             javancss-maven-plugin
# Requires:             jdepend-maven-plugin
# Requires:             maven-injection-plugin
# Requires:             sonar-maven-plugin

Requires:             maven-antrun-plugin
Requires:             maven-assembly-plugin
Requires:             buildnumber-maven-plugin
Requires:             maven-checkstyle-plugin
Requires:             maven-clean-plugin
Requires:             maven-plugin-cobertura
Requires:             maven-compiler-plugin
Requires:             maven-dependency-plugin
Requires:             maven-deploy-plugin
Requires:             maven-ear-plugin
Requires:             maven-eclipse-plugin
Requires:             maven-ejb-plugin
Requires:             maven-enforcer-plugin
Requires:             maven-idea-plugin
Requires:             maven-install-plugin
Requires:             maven-jar-plugin
Requires:             maven-javadoc-plugin
Requires:             maven-plugin-jxr
Requires:             maven-license-plugin
Requires:             maven-plugin-plugin
Requires:             maven-pmd-plugin
Requires:             maven-rar-plugin
Requires:             maven-release-plugin
Requires:             maven-resources-plugin
Requires:             maven-site-plugin
Requires:             maven-source-plugin
Requires:             maven-surefire-plugin
Requires:             maven-war-plugin
Requires:             jpackage-utils
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils
Requires:             java

%description
The Project Object Model files for JBoss packages.

%prep
%setup -q -n %{name}-%{upstreamversion}

%install
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom

%add_to_maven_depmap org.jboss %{name} %{version} JPP jboss/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%doc README.md
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%changelog
* Tue Jun 07 2011 Marek Goldmann <mgoldman@redhat.com> 6-0.1.beta2
- Initial packaging

